Subject: [Netconf] RFC 5277 related queries

From: Rohit Ranade <[email-masked]>
Date: Tue, 25 Oct 2016 18:13:40 +0000

RFC 5277: Section 1.1

Filter:  A parameter that indicates which subset of all possible

      events are of interest.  A filter is defined as one or more filter

      elements [NETCONF], each of which identifies a portion of the

      overall filter.

RFC 6241: Section 6.6

Conceptually, a subtree filter is comprised of zero or more element

   subtrees, which represent the filter selection criteria.

Query 1: Whether empty filter is valid for <create-subscription> ?  “one or more” / “zero or more”

About replay in 5277:
Query 2: Can <create-subscription> be done again after time has crossed <stopTime>.

“The event notification

   subscription allows a number of options to enable the NETCONF client

   to specify which events are of interest.  These are specified when

   the subscription is created.  Note that a subscription cannot be

   modified once created.”

ð  This indicates subscription cannot be modified once created.

“If a stop time is provided

   when the subscription is created, the subscription will terminate

   after the stop time is reached.  In this case, the NETCONF session

   will still be an active session.
”

   “If a subscription is created with a <stopTime>, the NETCONF session

   will return to being a normal command-response NETCONF session when

   the replay is completed.”

ð  This indicates that after termination, operations can be performed, but not sure if <create-subscription> can be done again.

   “When a <create-subscription> is sent while another subscription is

   active on that session, the following error will be returned:”

ð  This indicates that if there is no active subscription, create-subscription can be sent again.

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows 10

---

From: "Alberto Gonzalez Prieto (albertgo)" <[email-masked]>
Date: Tue, 25 Oct 2016 20:35:05 +0000

Hi,

From: Netconf <[email-masked]<mailto:[email-masked]>> on behalf of Rohit Ranade <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, October 25, 2016 at 11:13 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Netconf] RFC 5277 related queries

RFC 5277: Section 1.1

      overall filter.

RFC 6241: Section 6.6

One or more filter elements.
Note that the “zero or more” refers to subtrees. While the “one or more” refers to filters.
My understanding is that you can have one filter with zero subtrees.

About replay in 5277:

Yes.

"A <replayComplete> notification is sent to indicate that all of the

   replay notifications have been sent and must not be sent for any
   other reason.  If this subscription has a stop time, then this
   session becomes a normal NETCONF session again. "

Being a “normal” session again, there is no limitation to create subscriptions.

“The event notification

   modified once created.”